# Generated by Django 2.1.1 on 2019-03-29 16:19

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200, verbose_name='Заголовок')),
                ('slug', models.SlugField()),
                ('text', models.TextField(null=True, verbose_name='Сообщение')),
                ('post_date', models.DateTimeField(auto_now_add=True, verbose_name='Дата публикации')),
                ('modified', models.DateTimeField(null=True, verbose_name='Изменено')),
                ('is_approved', models.BooleanField(default=False, editable=False)),
            ],
            options={
                'ordering': ['-post_date'],
            },
        ),
        migrations.RemoveField(
            model_name='user',
            name='avatar',
        ),
        migrations.AddField(
            model_name='post',
            name='author',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
    ]
